Package tigase.workgroupqueues.scheduler

## Enum Queue.Status

- java.lang.Object
- - java.lang.Enum<Queue.Status>
  - - tigase.workgroupqueues.scheduler.Queue.Status

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Queue.Status>`
  Enclosing class:
    Queue

      public static enum Queue.Status
      extends java.lang.Enum<Queue.Status>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `active` | The queue is active but NOT accepting new chat requests.
    `closed` | The queue is NOT active and NOT accepting new chat requests.
    `open` | The queue is active and accepting new chat requests.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Queue.Status` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Queue.Status[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### open

          public static final Queue.Status open

      The queue is active and accepting new chat requests.

    - #### active

          public static final Queue.Status active

      The queue is active but NOT accepting new chat requests.

    - #### closed

          public static final Queue.Status closed

      The queue is NOT active and NOT accepting new chat requests.

  - ### Method Detail

    - #### values

          public static Queue.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Queue.Status c : Queue.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Queue.Status valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null